---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libthreadend02.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xCB8, symBinAddr: 0x2494, symSize: 0x254 }
  - { offsetInCU: 0x4B3, offset: 0x4B3, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x225A0, symBinAddr: 0x8038, symSize: 0x0 }
  - { offsetInCU: 0x4D1, offset: 0x4D1, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x225A8, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x225B0, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x910E, offset: 0x910E, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x225B8, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x9127, offset: 0x9127, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x225C0, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x9140, offset: 0x9140, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x225C8, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x91C9, offset: 0x91C9, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x225F0, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x91E2, offset: 0x91E2, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x225D8, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x91FB, offset: 0x91FB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x225E0, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x921E, offset: 0x921E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x225E8, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x92AF, offset: 0x92AF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2470, symSize: 0x24 }
  - { offsetInCU: 0x9734, offset: 0x9734, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF0C, symBinAddr: 0x26E8, symSize: 0x90 }
  - { offsetInCU: 0x9814, offset: 0x9814, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0xF9C, symBinAddr: 0x2778, symSize: 0x1A8 }
  - { offsetInCU: 0x9D61, offset: 0x9D61, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1144, symBinAddr: 0x2920, symSize: 0x510 }
  - { offsetInCU: 0xA6EC, offset: 0xA6EC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1B14, symBinAddr: 0x3294, symSize: 0x30 }
  - { offsetInCU: 0xA779, offset: 0xA779, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1654, symBinAddr: 0x2E30, symSize: 0x1AC }
  - { offsetInCU: 0xAAB2, offset: 0xAAB2, size: 0x8, addend: 0x0, symName: _cbThreadEnd, symObjAddr: 0x1800, symBinAddr: 0x2FDC, symSize: 0x14 }
  - { offsetInCU: 0xABEE, offset: 0xABEE, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1870, symBinAddr: 0x2FF0, symSize: 0x1B0 }
  - { offsetInCU: 0xAE54, offset: 0xAE54, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1A20, symBinAddr: 0x31A0, symSize: 0xE0 }
  - { offsetInCU: 0xAF51, offset: 0xAF51, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1B00, symBinAddr: 0x3280, symSize: 0x4 }
  - { offsetInCU: 0xAF95, offset: 0xAF95, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1B00, symBinAddr: 0x3280, symSize: 0x4 }
  - { offsetInCU: 0xAFA7, offset: 0xAFA7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1B04, symBinAddr: 0x3284, symSize: 0x4 }
  - { offsetInCU: 0xAFEB, offset: 0xAFEB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1B04, symBinAddr: 0x3284, symSize: 0x4 }
  - { offsetInCU: 0xAFFD, offset: 0xAFFD, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1B44, symBinAddr: 0x32C4, symSize: 0x70 }
  - { offsetInCU: 0xB0B3, offset: 0xB0B3, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x1BB4, symBinAddr: 0x3334, symSize: 0x174 }
...
